use std::io;
use std::io::BufRead;

fn main() {
    let mut lines_processed = 0;


    let mut line = String::new();
    while io::stdin().lock().read_line(&mut line).unwrap() > 0 {
        println!("input {}", line.trim());
        lines_processed += 1;
        line.clear();
    }

    println!("\n Ingested {} Lines", lines_processed);
    println!("===================================");



    println!("\n Processed {} Lines", lines_processed);
    println!("===================================");
    println!("Answer \n{}", "XXXXXXX");
}
